%%%---------------------------------------
%%% module      : data_elite_assessment
%%% description : 精英考核配置
%%%
%%%---------------------------------------
-module(data_elite_assessment).
-compile(export_all).
-include("elite_assessment.hrl").



get_elite_assess_task_cfg(101) ->
    #elite_assess_task_cfg{category = 1,sub_category = 1,task_id = 101,content = [{fast_dun,5001,10}],reward = [{100,230051,1}],jump = {610,2},task_name = "经验闯关",task_desc = "经验闯关达到<color@1>10</color>波"};

get_elite_assess_task_cfg(102) ->
    #elite_assess_task_cfg{category = 1,sub_category = 1,task_id = 102,content = [{normal_tower_dun,7008}],reward = [{100,230051,1}],jump = {610,4},task_name = "无尽回廊",task_desc = "普通回廊达到<color@1>8</color>层"};

get_elite_assess_task_cfg(103) ->
    #elite_assess_task_cfg{category = 1,sub_category = 1,task_id = 103,content = [{reward_boss,13010003,1}],reward = [{100,230051,1}],jump = {460,3},task_name = "赏金幻魔",task_desc = "击败<color@1>机甲环刃</color>"};

get_elite_assess_task_cfg(104) ->
    #elite_assess_task_cfg{category = 1,sub_category = 1,task_id = 104,content = [{person_boss,1,5}],reward = [{100,230051,1}],jump = {460,1},task_name = "专属幻魔",task_desc = "通关<color@1>专属·一代幻魔</color>"};

get_elite_assess_task_cfg(105) ->
    #elite_assess_task_cfg{category = 1,sub_category = 1,task_id = 105,content = [{enter_dungeon,14,3606}],reward = [{100,410062,1}],jump = {610,14},task_name = "[]",task_desc = "通关试炼副本·Ⅰ"};

get_elite_assess_task_cfg(201) ->
    #elite_assess_task_cfg{category = 2,sub_category = 1,task_id = 201,content = [{fast_dun,5001,20}],reward = [{100,230052,1}],jump = {610,2},task_name = "经验闯关",task_desc = "经验闯关达到<color@1>20</color>波"};

get_elite_assess_task_cfg(202) ->
    #elite_assess_task_cfg{category = 2,sub_category = 1,task_id = 202,content = [{normal_tower_dun,7016}],reward = [{100,230052,1}],jump = {610,4},task_name = "无尽回廊",task_desc = "普通回廊达到<color@1>16</color>层"};

get_elite_assess_task_cfg(203) ->
    #elite_assess_task_cfg{category = 2,sub_category = 1,task_id = 203,content = [{visus_dun,11001,20}],reward = [{100,230052,1}],jump = {610,7},task_name = "幻光副本",task_desc = "幻光副本达到<color@1>1</color>章<color@1>20</color>波"};

get_elite_assess_task_cfg(204) ->
    #elite_assess_task_cfg{category = 2,sub_category = 1,task_id = 204,content = [{reward_boss,13020001,1}],reward = [{100,230052,1}],jump = {460,3},task_name = "赏金幻魔",task_desc = "击败<color@1>异形长枪</color>"};

get_elite_assess_task_cfg(205) ->
    #elite_assess_task_cfg{category = 2,sub_category = 1,task_id = 205,content = [{enter_dungeon,14,3607}],reward = [{100,416031,1}],jump = {610,14},task_name = "[]",task_desc = "通关试炼副本·Ⅱ"};

get_elite_assess_task_cfg(301) ->
    #elite_assess_task_cfg{category = 3,sub_category = 1,task_id = 301,content = [{fast_dun,5001,30}],reward = [{100,230054,1}],jump = {610,2},task_name = "经验闯关",task_desc = "经验闯关达到<color@1>30</color>波"};

get_elite_assess_task_cfg(302) ->
    #elite_assess_task_cfg{category = 3,sub_category = 1,task_id = 302,content = [{normal_tower_dun,7024}],reward = [{100,230054,1}],jump = {610,4},task_name = "无尽回廊",task_desc = "普通回廊达到<color@1>24</color>层"};

get_elite_assess_task_cfg(303) ->
    #elite_assess_task_cfg{category = 3,sub_category = 1,task_id = 303,content = [{visus_dun,11001,30}],reward = [{100,230054,1}],jump = {610,7},task_name = "幻光副本",task_desc = "幻光副本达到<color@1>1</color>章<color@1>30</color>波"};

get_elite_assess_task_cfg(304) ->
    #elite_assess_task_cfg{category = 3,sub_category = 1,task_id = 304,content = [{person_boss,2,5}],reward = [{100,230054,1}],jump = {460,1},task_name = "专属幻魔",task_desc = "通关<color@1>专属·二代幻魔</color>"};

get_elite_assess_task_cfg(305) ->
    #elite_assess_task_cfg{category = 3,sub_category = 1,task_id = 305,content = [{enter_dungeon,14,3608}],reward = [{100,412062,1}],jump = {610,14},task_name = "[]",task_desc = "通关试炼副本·Ⅲ"};

get_elite_assess_task_cfg(401) ->
    #elite_assess_task_cfg{category = 4,sub_category = 1,task_id = 401,content = [{fast_dun,5001,35}],reward = [{100,230053,1}],jump = {610,2},task_name = "经验闯关",task_desc = "经验闯关达到<color@1>35</color>波"};

get_elite_assess_task_cfg(402) ->
    #elite_assess_task_cfg{category = 4,sub_category = 1,task_id = 402,content = [{normal_tower_dun,7028}],reward = [{100,230053,1}],jump = {610,4},task_name = "无尽回廊",task_desc = "普通回廊达到<color@1>28</color>层"};

get_elite_assess_task_cfg(403) ->
    #elite_assess_task_cfg{category = 4,sub_category = 1,task_id = 403,content = [{pet_dun,12001}],reward = [{100,230053,1}],jump = {610,8},task_name = "宠物副本",task_desc = "宠物副本通关第<color@1>1</color>品"};

get_elite_assess_task_cfg(404) ->
    #elite_assess_task_cfg{category = 4,sub_category = 1,task_id = 404,content = [{diff_tower_dun,7503}],reward = [{100,230053,1}],jump = {610,4},task_name = "无尽回廊",task_desc = "困难回廊达到<color@1>4</color>层<color@1>3</color>星"};

get_elite_assess_task_cfg(405) ->
    #elite_assess_task_cfg{category = 4,sub_category = 1,task_id = 405,content = [{enter_dungeon,14,3609}],reward = [{100,418021,1}],jump = {610,14},task_name = "[]",task_desc = "通关试炼副本·Ⅳ"};

get_elite_assess_task_cfg(_Taskid) ->
    [].

get_all_category() ->
    [1,2,3,4].


get_all_task_cfg(1) ->
    [101,102,103,104,105];


get_all_task_cfg(2) ->
    [201,202,203,204,205];


get_all_task_cfg(3) ->
    [301,302,303,304,305];


get_all_task_cfg(4) ->
    [401,402,403,404,405];

get_all_task_cfg(_Category) ->
    [].

get_all_sub_category_task_cfg(1,1) ->
    [101,102,103,104,105];

get_all_sub_category_task_cfg(2,1) ->
    [201,202,203,204,205];

get_all_sub_category_task_cfg(3,1) ->
    [301,302,303,304,305];

get_all_sub_category_task_cfg(4,1) ->
    [401,402,403,404,405];

get_all_sub_category_task_cfg(_Category,_Subcategory) ->
    [].

get_dun_task(1) -> 105;
get_dun_task(2) -> 205;
get_dun_task(3) -> 305;
get_dun_task(4) -> 405;
get_dun_task(_Category) -> 0.

get_elite_assess_category_reward_cfg(1) ->
    #elite_assess_reward_cfg{category = 1,reward = [],open_lv = 60,open_day = 1,category_name = "时装考核"};

get_elite_assess_category_reward_cfg(2) ->
    #elite_assess_reward_cfg{category = 2,reward = [],open_lv = 110,open_day = 2,category_name = "背饰考核"};

get_elite_assess_category_reward_cfg(3) ->
    #elite_assess_reward_cfg{category = 3,reward = [],open_lv = 130,open_day = 3,category_name = "发型考核"};

get_elite_assess_category_reward_cfg(4) ->
    #elite_assess_reward_cfg{category = 4,reward = [],open_lv = 150,open_day = 4,category_name = "武器考核"};

get_elite_assess_category_reward_cfg(_Category) ->
    [].

get_task_resource(101) ->
    #elite_assess_task_resource_cfg{task_id = 101,task_tag = "经验",icon_name = "经验闯关",icon_id = "eliteAssess_task_2"};

get_task_resource(102) ->
    #elite_assess_task_resource_cfg{task_id = 102,task_tag = "材料",icon_name = "无尽领域",icon_id = "eliteAssess_task_6"};

get_task_resource(103) ->
    #elite_assess_task_resource_cfg{task_id = 103,task_tag = "装备",icon_name = "赏金幻魔",icon_id = "eliteAssess_task_5"};

get_task_resource(104) ->
    #elite_assess_task_resource_cfg{task_id = 104,task_tag = "装备",icon_name = "专属幻魔",icon_id = "eliteAssess_task_1"};

get_task_resource(105) ->
    #elite_assess_task_resource_cfg{task_id = 105,task_tag = "[]",icon_name = "[]",icon_id = "[]"};

get_task_resource(201) ->
    #elite_assess_task_resource_cfg{task_id = 201,task_tag = "经验",icon_name = "经验闯关",icon_id = "eliteAssess_task_2"};

get_task_resource(202) ->
    #elite_assess_task_resource_cfg{task_id = 202,task_tag = "材料",icon_name = "无尽领域",icon_id = "eliteAssess_task_6"};

get_task_resource(203) ->
    #elite_assess_task_resource_cfg{task_id = 203,task_tag = "材料",icon_name = "幻光副本",icon_id = "eliteAssess_task_4"};

get_task_resource(204) ->
    #elite_assess_task_resource_cfg{task_id = 204,task_tag = "装备",icon_name = "赏金幻魔",icon_id = "eliteAssess_task_5"};

get_task_resource(205) ->
    #elite_assess_task_resource_cfg{task_id = 205,task_tag = "[]",icon_name = "[]",icon_id = "[]"};

get_task_resource(301) ->
    #elite_assess_task_resource_cfg{task_id = 301,task_tag = "经验",icon_name = "经验闯关",icon_id = "eliteAssess_task_2"};

get_task_resource(302) ->
    #elite_assess_task_resource_cfg{task_id = 302,task_tag = "材料",icon_name = "无尽领域",icon_id = "eliteAssess_task_6"};

get_task_resource(303) ->
    #elite_assess_task_resource_cfg{task_id = 303,task_tag = "材料",icon_name = "幻光副本",icon_id = "eliteAssess_task_4"};

get_task_resource(304) ->
    #elite_assess_task_resource_cfg{task_id = 304,task_tag = "装备",icon_name = "专属幻魔",icon_id = "eliteAssess_task_1"};

get_task_resource(305) ->
    #elite_assess_task_resource_cfg{task_id = 305,task_tag = "[]",icon_name = "[]",icon_id = "[]"};

get_task_resource(401) ->
    #elite_assess_task_resource_cfg{task_id = 401,task_tag = "经验",icon_name = "经验闯关",icon_id = "eliteAssess_task_2"};

get_task_resource(402) ->
    #elite_assess_task_resource_cfg{task_id = 402,task_tag = "材料",icon_name = "无尽领域",icon_id = "eliteAssess_task_6"};

get_task_resource(403) ->
    #elite_assess_task_resource_cfg{task_id = 403,task_tag = "材料",icon_name = "宠物副本",icon_id = "eliteAssess_task_3"};

get_task_resource(404) ->
    #elite_assess_task_resource_cfg{task_id = 404,task_tag = "材料",icon_name = "无尽领域",icon_id = "eliteAssess_task_6"};

get_task_resource(405) ->
    #elite_assess_task_resource_cfg{task_id = 405,task_tag = "[]",icon_name = "[]",icon_id = "[]"};

get_task_resource(_Taskid) ->
    [].

